Search contents based on criteria
1 min
GET
/api/episerver/v3.0/search/content
QuerystringOptional Free text query string for a search request
Skipinteger<int32>Number of results to bypass in the response. For use with paginated results.
Topinteger<int32>Number of results to retrieve in the response. For use with paginated results.
PersonalizebooleanIndicates whether the response should be personalized when sent back to the user
FilterstringFilter string based on OData syntax for filtering content
OrderBystringOrder By string for ordering returned search results
Expandstring<p>Comma-separated list of properties to Expand, fetching content in the response</p>
acceptstringGenerated from available response content types
Accept-Languagestring<p>Determines in which language the content should be retrieved. Example: 'en' or 'sv'. Does not support fallback.</p>
200Ok
400Bad Request
403Forbidden
curl --request GET \
--url /api/episerver/v3.0/search/content \
--header 'accept: application/json'